#include <GUIConstantsEx.au3>
#include <GuiConstants.au3>
#include <file.au3>
#include ".\Include\GUICtrlOnHover.au3"
#NoTrayIcon
#RequireAdmin

#pragma compile(Stripper, True)
#pragma compile(ProductVersion, 2.0.0)
#pragma compile(ProductName, "Change bootLoader")
#pragma compile(FileDescription, CBL)
#pragma compile(LegalCopyright, paravis.ru@2022)
#pragma compile(CompanyName, paravis.ru@2022)

Opt("TrayIconHide", 1)
Opt("ExpandEnvStrings", 1)

Global $szdrive, $szdir, $szfname, $szext, $img

$testpath = _pathsplit(@ScriptFullPath, $szdrive, $szdir, $szfname, $szext)
$namedisk = ($testpath[1] & "\")
$kitchen = ($namedisk & "efi\Paravis\Boot\kitchen")
$bootice = ($namedisk & "efi\Paravis\Boot\kitchen\bootice.exe")
$main = GUICreate("Change BootLoader", 390, 184, 318, 213)
GUICtrlCreateGroup("Legacy BIOS", 3, 3, 384, 61)
GUICtrlSetFont(-1, 8, 800, 0, "Tahoma")
$xor = GUICtrlCreateButton("Install XorBoot", 8, 20, 121, 33)
GUICtrlSetFont(-1, 8, 800, 0, "Tahoma")
$bmgr = GUICtrlCreateButton("Install Bootmgr", 134, 20, 121, 33)
GUICtrlSetFont(-1, 8, 800, 0, "Tahoma")
$g4d = GUICtrlCreateButton("Install Grub4Dos", 261, 20, 121, 33)
GUICtrlSetFont(-1, 8, 800, 0, "Tahoma")
GUICtrlCreateGroup("", -99, -99, 1, 1)
GUICtrlCreateGroup("UEFI", 3, 62, 384, 61)
GUICtrlSetFont(-1, 8, 800, 0, "Tahoma")
$bmgru = GUICtrlCreateButton("Install Bootmgr (SecureBoot ON)", 8, 80, 180, 33)
GUICtrlSetFont(-1, 8, 800, 0, "Tahoma")
$xoru = GUICtrlCreateButton("Install Xorboot (SecureBoot OFF)", 200, 80, 180, 33)
GUICtrlSetFont(-1, 8, 800, 0, "Tahoma")
GUICtrlCreateGroup("Xorboot / Grub4dos Theme", 3, 121, 384, 61)
GUICtrlSetFont(-1, 8, 800, 0, "Tahoma")
$theme1 = GUICtrlCreateButton("Light Blue Theme", 8, 137, 121, 33)
GUICtrlSetFont(-1, 8, 800, 0, "Tahoma")
$theme2 = GUICtrlCreateButton("Dark Violet Theme", 134, 137, 121, 33)
GUICtrlSetFont(-1, 8, 800, 0, "Tahoma")
$theme3 = GUICtrlCreateButton("Colorful Theme", 261, 137, 121, 33)
GUICtrlSetFont(-1, 8, 800, 0, "Tahoma")
$img1 = GUICreate("", 400, 300, -1, -1, $ws_popup, $ws_ex_composited, $main)
$pic1 = GUICtrlCreatePic($kitchen & "\Legacy\L", 0, 0, 400, 300)
$img2 = GUICreate("", 400, 300, -1, -1, $ws_popup, $ws_ex_composited, $main)
$pic2 = GUICtrlCreatePic($kitchen & "\Legacy\V", 0, 0, 400, 300)
$img3 = GUICreate("", 400, 300, -1, -1, $ws_popup, $ws_ex_composited, $main)
$pic3 = GUICtrlCreatePic($kitchen & "\Legacy\C", 0, 0, 400, 300)
GUISetState(@SW_HIDE, $img1)
GUISetState(@SW_HIDE, $img2)
GUISetState(@SW_HIDE, $img3)
GUISetState(@SW_SHOW, $main)

Func _hide()
	GUICtrlSetState($xor, $gui_disable)
	GUICtrlSetState($bmgr, $gui_disable)
	GUICtrlSetState($g4d, $gui_disable)
	GUICtrlSetState($bmgru, $gui_disable)
	GUICtrlSetState($xoru, $gui_disable)
	GUICtrlSetState($theme1, $gui_disable)
	GUICtrlSetState($theme2, $gui_disable)
	GUICtrlSetState($theme3, $gui_disable)
EndFunc

Func _show()
	GUICtrlSetState($xor, $gui_enable)
	GUICtrlSetState($bmgr, $gui_enable)
	GUICtrlSetState($g4d, $gui_enable)
	GUICtrlSetState($bmgru, $gui_enable)
	GUICtrlSetState($xoru, $gui_enable)
	GUICtrlSetState($theme1, $gui_enable)
	GUICtrlSetState($theme2, $gui_enable)
	GUICtrlSetState($theme3, $gui_enable)
EndFunc

Func _onhover1()
	GUISetState(@SW_SHOWNOACTIVATE, $img1)
EndFunc

Func _onleave1()
	GUISetState(@SW_HIDE, $img1)
EndFunc

Func _onhover2()
	GUISetState(@SW_SHOWNOACTIVATE, $img2)
EndFunc

Func _onleave2()
	GUISetState(@SW_HIDE, $img2)
EndFunc

Func _onhover3()
	GUISetState(@SW_SHOWNOACTIVATE, $img3)
EndFunc

Func _onleave3()
	GUISetState(@SW_HIDE, $img3)
EndFunc

While 1
	$mp = MouseGetPos()
	WinMove($img1, "", $mp[0] + 30, $mp[1] + 30)
	$mp = MouseGetPos()
	WinMove($img2, "", $mp[0] + 30, $mp[1] + 30)
	$mp = MouseGetPos()
	WinMove($img3, "", $mp[0] + 30, $mp[1] + 30)
	Switch GUIGetMsg()
		Case $gui_event_close
			ExitLoop
		Case $xor
			_hide()
			FileDelete($namedisk & "\bootmgr")
			FileDelete($namedisk & "\grldr")
			FileCopy($kitchen & "\13", $namedisk & "efi\Paravis\boot\13", 1)
			FileCopy($kitchen & "\1313", $namedisk & "efi\Paravis\boot\1313", 1)
			FileCopy($kitchen & "\xbt.bin", $namedisk & "efi\Paravis\boot\Paravis", 1)
			RunWait($bootice & " /DEVICE=" & $namedisk & " /mbr /restore /file=xbt.bin /keep_dpt /quiet")
			RunWait($bootice & " /DEVICE=" & $namedisk & " /pbr /restore /file=xbt_p.bin /keep_bpb /quiet")
			MsgBox(0 + 64 + 262144, "Xorboot", "bootloader successfully changed!")
			_show()
		Case $bmgr
			_hide()
			FileDelete(@ScriptDir & "Paravis")
			FileDelete($namedisk & "bootmgr")
			FileDelete($namedisk & "grldr")
			FileCopy($kitchen & "\bootmgr", $namedisk & "bootmgr")
			FileCopy($kitchen & "\bootmgr", $namedisk & "efi\Paravis\boot\Paravis", 1)
			RunWait($bootice & " /DEVICE=" & $namedisk & " /mbr /install /type=nt60 /quiet")
			RunWait($bootice & " /DEVICE=" & $namedisk & " /pbr /install /type=bootmgr /quiet")
			MsgBox(0 + 64 + 262144, "Bootmgr", "bootloader successfully changed!")
			_show()
		Case $g4d
			_hide()
			FileDelete($namedisk & "bootmgr")
			FileDelete($namedisk & "grldr")
			FileCopy($kitchen & "\grldr", $namedisk & "grldr")
			FileCopy($kitchen & "\grldr", $namedisk & "efi\Paravis\boot\Paravis", 1)
			RunWait($bootice & " /DEVICE=" & $namedisk & " /mbr /install /type=GRUB4DOS /quiet")
			RunWait($bootice & " /DEVICE=" & $namedisk & " /pbr /install /type=GRUB4DOS /quiet")
			MsgBox(0 + 64 + 262144, "Grub4Dos", "Bootloader successfully changed!")
			_show()
		Case $bmgru
			_hide()
			FileDelete($namedisk & "efi\boot\bootx64.efi")
			FileDelete($namedisk & "efi\boot\bootia32.efi")
			FileDelete($namedisk & "efi\boot\bx86.pf")
			FileDelete($namedisk & "efi\boot\hx86.pf")
			FileDelete($namedisk & "efi\boot\x86.pf")
			FileDelete($namedisk & "efi\boot\bx64.pf")
			FileDelete($namedisk & "efi\boot\hx64.pf")
			FileDelete($namedisk & "efi\boot\x64.pf")
			FileCopy($kitchen & "\UEFIx64\mgrx64.efi", $namedisk & "efi\boot\bootx64.efi")
			FileCopy($kitchen & "\UEFIx86\mgrx86.efi", $namedisk & "efi\boot\bootia32.efi")
			MsgBox(0 + 64 + 262144, "UEFI Bootmgr", "Bootloader successfully changed!")
			_show()
		Case $xoru
			_hide()
			FileDelete($namedisk & "efi\boot\bootx64.efi")
			FileDelete($namedisk & "efi\boot\bootia32.efi")
			FileDelete($namedisk & "efi\boot\bx86.pf")
			FileDelete($namedisk & "efi\boot\hx86.pf")
			FileDelete($namedisk & "efi\boot\x86.pf")
			FileDelete($namedisk & "efi\boot\bx64.pf")
			FileDelete($namedisk & "efi\boot\hx64.pf")
			FileDelete($namedisk & "efi\boot\x64.pf")
			FileCopy($kitchen & "\UEFIx64\bootx64.efi", $namedisk & "efi\boot\bootx64.efi")
			FileCopy($kitchen & "\UEFIx86\bootia32.efi", $namedisk & "efi\boot\bootia32.efi")
			FileCopy($kitchen & "\UEFIx86\bx86.pf", $namedisk & "efi\boot\bx86.pf")
			FileCopy($kitchen & "\UEFIx86\hx86.pf", $namedisk & "efi\boot\hx86.pf")
			FileCopy($kitchen & "\UEFIx86\x86.pf", $namedisk & "efi\boot\x86.pf")
			FileCopy($kitchen & "\UEFIx64\bx64.pf", $namedisk & "efi\boot\bx64.pf")
			FileCopy($kitchen & "\UEFIx64\hx64.pf", $namedisk & "efi\boot\hx64.pf")
			FileCopy($kitchen & "\UEFIx64\x64.pf", $namedisk & "efi\boot\x64.pf")
			MsgBox(0 + 64 + 262144, "UEFI Xorboot", "Bootloader successfully changed!")
			_show()
		Case $theme1
			_hide()
			If NOT FileExists($namedisk & "bootmgr") Then
				FileCopy($kitchen & "\UEFIx64\Legacy_L\bx64.pf", $namedisk & "efi\boot\bx64.pf", 1)
				FileCopy($kitchen & "\UEFIx64\Legacy_L\hx64.pf", $namedisk & "efi\boot\hx64.pf", 1)
				FileCopy($kitchen & "\UEFIx64\Legacy_L\bx64.pf", $kitchen & "\UEFIx64\bx64.pf", 1)
				FileCopy($kitchen & "\UEFIx64\Legacy_L\hx64.pf", $kitchen & "\UEFIx64\hx64.pf", 1)
				FileCopy($kitchen & "\UEFIx64\Legacy_L\Linux\bx64.pf", $kitchen & "\UEFIx64\Linux\bx64.pf", 1)
				FileCopy($kitchen & "\UEFIx64\Legacy_L\Linux\hx64.pf", $kitchen & "\UEFIx64\Linux\hx64.pf", 1)
				FileCopy($kitchen & "\UEFIx64\Legacy_L\MSDaRT\bx64.pf", $kitchen & "\UEFIx64\MSDaRT\bx64.pf", 1)
				FileCopy($kitchen & "\UEFIx64\Legacy_L\MSDaRT\hx64.pf", $kitchen & "\UEFIx64\MSDaRT\hx64.pf", 1)
				FileCopy($kitchen & "\UEFIx64\Legacy_L\Utilits\bx64.pf", $kitchen & "\UEFIx64\Utilits\bx64.pf", 1)
				FileCopy($kitchen & "\UEFIx64\Legacy_L\Utilits\hx64.pf", $kitchen & "\UEFIx64\Utilits\hx64.pf", 1)
				FileCopy($kitchen & "\UEFIx86\Legacy_L\bx86.pf", $namedisk & "efi\boot\bx86.pf", 1)
				FileCopy($kitchen & "\UEFIx86\Legacy_L\hx86.pf", $namedisk & "efi\boot\hx86.pf", 1)
				FileCopy($kitchen & "\UEFIx86\Legacy_L\bx86.pf", $kitchen & "\UEFIx86\bx86.pf", 1)
				FileCopy($kitchen & "\UEFIx86\Legacy_L\hx86.pf", $kitchen & "\UEFIx86\hx86.pf", 1)
				FileCopy($kitchen & "\UEFIx86\Legacy_L\Linux\bx86.pf", $kitchen & "\UEFIx86\Linux\bx86.pf", 1)
				FileCopy($kitchen & "\UEFIx86\Legacy_L\Linux\hx86.pf", $kitchen & "\UEFIx86\Linux\hx86.pf", 1)
				FileCopy($kitchen & "\UEFIx86\Legacy_L\Utilits\bx86.pf", $kitchen & "\UEFIx86\Utilits\bx86.pf", 1)
				FileCopy($kitchen & "\UEFIx86\Legacy_L\Utilits\hx86.pf", $kitchen & "\UEFIx86\Utilits\hx86.pf", 1)
				FileCopy($kitchen & "\Legacy\Legacy_L\G4D\UBCD", $namedisk & "efi\Paravis\UBCD\menus\UBCD", 1)
				FileCopy($kitchen & "\Legacy\Legacy_L\G4D\dartt", $kitchen & "\dartt", 1)
				FileCopy($kitchen & "\Legacy\Legacy_L\G4D\main", $kitchen & "\main", 1)
				FileCopy($kitchen & "\Legacy\Legacy_L\G4D\mintT", $kitchen & "\mintT", 1)
				FileCopy($kitchen & "\Legacy\Legacy_L\G4D\strT", $kitchen & "\strT", 1)
				FileCopy($kitchen & "\Legacy\Legacy_L\G4D\utilT", $kitchen & "\utilT", 1)
				FileCopy($kitchen & "\Legacy\Legacy_L\Xorboot\13", $namedisk & "efi\Paravis\Boot\13", 1)
				FileCopy($kitchen & "\Legacy\Legacy_L\Xorboot\1313", $namedisk & "efi\Paravis\Boot\1313", 1)
				FileCopy($kitchen & "\Legacy\Legacy_L\Xorboot\14", $namedisk & "efi\Paravis\Boot\14", 1)
				FileCopy($kitchen & "\Legacy\Legacy_L\Xorboot\1414", $namedisk & "efi\Paravis\Boot\1414", 1)
				FileCopy($kitchen & "\Legacy\Legacy_L\Xorboot\15", $namedisk & "efi\Paravis\Boot\15", 1)
				FileCopy($kitchen & "\Legacy\Legacy_L\Xorboot\1515", $namedisk & "efi\Paravis\Boot\1515", 1)
				FileCopy($kitchen & "\Legacy\Legacy_L\Xorboot\16", $namedisk & "efi\Paravis\Boot\16", 1)
				FileCopy($kitchen & "\Legacy\Legacy_L\Xorboot\1616", $namedisk & "efi\Paravis\Boot\1616", 1)
				FileCopy($kitchen & "\Legacy\Legacy_L\Xorboot\17", $namedisk & "efi\Paravis\Boot\17", 1)
				FileCopy($kitchen & "\Legacy\Legacy_L\Xorboot\1717", $namedisk & "efi\Paravis\Boot\1717", 1)
				MsgBox(0 + 64 + 262144, "Xorboot / Grub4dos Theme", "Theme successfully changed!")
			Else
				MsgBox(0 + 64 + 262144, "Xorboot / Grub4dos Theme", "First install the Xorboot or Grub4dos!")
			EndIf
			_show()
		Case $theme2
			_hide()
			If NOT FileExists($namedisk & "bootmgr") Then
				FileCopy($kitchen & "\UEFIx64\Legacy_V\bx64.pf", $namedisk & "efi\boot\bx64.pf", 1)
				FileCopy($kitchen & "\UEFIx64\Legacy_V\hx64.pf", $namedisk & "efi\boot\hx64.pf", 1)
				FileCopy($kitchen & "\UEFIx64\Legacy_V\bx64.pf", $kitchen & "\UEFIx64\bx64.pf", 1)
				FileCopy($kitchen & "\UEFIx64\Legacy_V\hx64.pf", $kitchen & "\UEFIx64\hx64.pf", 1)
				FileCopy($kitchen & "\UEFIx64\Legacy_V\Linux\bx64.pf", $kitchen & "\UEFIx64\Linux\bx64.pf", 1)
				FileCopy($kitchen & "\UEFIx64\Legacy_V\Linux\hx64.pf", $kitchen & "\UEFIx64\Linux\hx64.pf", 1)
				FileCopy($kitchen & "\UEFIx64\Legacy_V\MSDaRT\bx64.pf", $kitchen & "\UEFIx64\MSDaRT\bx64.pf", 1)
				FileCopy($kitchen & "\UEFIx64\Legacy_V\MSDaRT\hx64.pf", $kitchen & "\UEFIx64\MSDaRT\hx64.pf", 1)
				FileCopy($kitchen & "\UEFIx64\Legacy_V\Utilits\bx64.pf", $kitchen & "\UEFIx64\Utilits\bx64.pf", 1)
				FileCopy($kitchen & "\UEFIx64\Legacy_V\Utilits\hx64.pf", $kitchen & "\UEFIx64\Utilits\hx64.pf", 1)
				FileCopy($kitchen & "\UEFIx86\Legacy_V\bx86.pf", $namedisk & "efi\boot\bx86.pf", 1)
				FileCopy($kitchen & "\UEFIx86\Legacy_V\hx86.pf", $namedisk & "efi\boot\hx86.pf", 1)
				FileCopy($kitchen & "\UEFIx86\Legacy_V\bx86.pf", $kitchen & "\UEFIx86\bx86.pf", 1)
				FileCopy($kitchen & "\UEFIx86\Legacy_V\hx86.pf", $kitchen & "\UEFIx86\hx86.pf", 1)
				FileCopy($kitchen & "\UEFIx86\Legacy_V\Linux\bx86.pf", $kitchen & "\UEFIx86\Linux\bx86.pf", 1)
				FileCopy($kitchen & "\UEFIx86\Legacy_V\Linux\hx86.pf", $kitchen & "\UEFIx86\Linux\hx86.pf", 1)
				FileCopy($kitchen & "\UEFIx86\Legacy_V\Utilits\bx86.pf", $kitchen & "\UEFIx86\Utilits\bx86.pf", 1)
				FileCopy($kitchen & "\UEFIx86\Legacy_V\Utilits\hx86.pf", $kitchen & "\UEFIx86\Utilits\hx86.pf", 1)
				FileCopy($kitchen & "\Legacy\Legacy_V\G4D\UBCD", $namedisk & "efi\Paravis\UBCD\menus\UBCD", 1)
				FileCopy($kitchen & "\Legacy\Legacy_V\G4D\dartt", $kitchen & "\dartt", 1)
				FileCopy($kitchen & "\Legacy\Legacy_V\G4D\main", $kitchen & "\main", 1)
				FileCopy($kitchen & "\Legacy\Legacy_V\G4D\mintT", $kitchen & "\mintT", 1)
				FileCopy($kitchen & "\Legacy\Legacy_V\G4D\strT", $kitchen & "\strT", 1)
				FileCopy($kitchen & "\Legacy\Legacy_V\G4D\utilT", $kitchen & "\utilT", 1)
				FileCopy($kitchen & "\Legacy\Legacy_V\Xorboot\13", $namedisk & "efi\Paravis\Boot\13", 1)
				FileCopy($kitchen & "\Legacy\Legacy_V\Xorboot\1313", $namedisk & "efi\Paravis\Boot\1313", 1)
				FileCopy($kitchen & "\Legacy\Legacy_V\Xorboot\14", $namedisk & "efi\Paravis\Boot\14", 1)
				FileCopy($kitchen & "\Legacy\Legacy_V\Xorboot\1414", $namedisk & "efi\Paravis\Boot\1414", 1)
				FileCopy($kitchen & "\Legacy\Legacy_V\Xorboot\15", $namedisk & "efi\Paravis\Boot\15", 1)
				FileCopy($kitchen & "\Legacy\Legacy_V\Xorboot\1515", $namedisk & "efi\Paravis\Boot\1515", 1)
				FileCopy($kitchen & "\Legacy\Legacy_V\Xorboot\16", $namedisk & "efi\Paravis\Boot\16", 1)
				FileCopy($kitchen & "\Legacy\Legacy_V\Xorboot\1616", $namedisk & "efi\Paravis\Boot\1616", 1)
				FileCopy($kitchen & "\Legacy\Legacy_V\Xorboot\17", $namedisk & "efi\Paravis\Boot\17", 1)
				FileCopy($kitchen & "\Legacy\Legacy_V\Xorboot\1717", $namedisk & "efi\Paravis\Boot\1717", 1)
				MsgBox(0 + 64 + 262144, "Xorboot / Grub4dos Theme", "Theme successfully changed!")
			Else
				MsgBox(0 + 64 + 262144, "Xorboot / Grub4dos Theme", "First install the Xorboot or Grub4dos!")
			EndIf
			_show()
		Case $theme3
			_hide()
			If NOT FileExists($namedisk & "bootmgr") Then
				FileCopy($kitchen & "\UEFIx64\Legacy_C\bx64.pf", $namedisk & "efi\boot\bx64.pf", 1)
				FileCopy($kitchen & "\UEFIx64\Legacy_C\hx64.pf", $namedisk & "efi\boot\hx64.pf", 1)
				FileCopy($kitchen & "\UEFIx64\Legacy_C\bx64.pf", $kitchen & "\UEFIx64\bx64.pf", 1)
				FileCopy($kitchen & "\UEFIx64\Legacy_C\hx64.pf", $kitchen & "\UEFIx64\hx64.pf", 1)
				FileCopy($kitchen & "\UEFIx64\Legacy_C\Linux\bx64.pf", $kitchen & "\UEFIx64\Linux\bx64.pf", 1)
				FileCopy($kitchen & "\UEFIx64\Legacy_C\Linux\hx64.pf", $kitchen & "\UEFIx64\Linux\hx64.pf", 1)
				FileCopy($kitchen & "\UEFIx64\Legacy_C\MSDaRT\bx64.pf", $kitchen & "\UEFIx64\MSDaRT\bx64.pf", 1)
				FileCopy($kitchen & "\UEFIx64\Legacy_C\MSDaRT\hx64.pf", $kitchen & "\UEFIx64\MSDaRT\hx64.pf", 1)
				FileCopy($kitchen & "\UEFIx64\Legacy_C\Utilits\bx64.pf", $kitchen & "\UEFIx64\Utilits\bx64.pf", 1)
				FileCopy($kitchen & "\UEFIx64\Legacy_C\Utilits\hx64.pf", $kitchen & "\UEFIx64\Utilits\hx64.pf", 1)
				FileCopy($kitchen & "\UEFIx86\Legacy_C\bx86.pf", $namedisk & "efi\boot\bx86.pf", 1)
				FileCopy($kitchen & "\UEFIx86\Legacy_C\hx86.pf", $namedisk & "efi\boot\hx86.pf", 1)
				FileCopy($kitchen & "\UEFIx86\Legacy_C\bx86.pf", $kitchen & "\UEFIx86\bx86.pf", 1)
				FileCopy($kitchen & "\UEFIx86\Legacy_C\hx86.pf", $kitchen & "\UEFIx86\hx86.pf", 1)
				FileCopy($kitchen & "\UEFIx86\Legacy_C\Linux\bx86.pf", $kitchen & "\UEFIx86\Linux\bx86.pf", 1)
				FileCopy($kitchen & "\UEFIx86\Legacy_C\Linux\hx86.pf", $kitchen & "\UEFIx86\Linux\hx86.pf", 1)
				FileCopy($kitchen & "\UEFIx86\Legacy_C\Utilits\bx86.pf", $kitchen & "\UEFIx86\Utilits\bx86.pf", 1)
				FileCopy($kitchen & "\UEFIx86\Legacy_C\Utilits\hx86.pf", $kitchen & "\UEFIx86\Utilits\hx86.pf", 1)
				FileCopy($kitchen & "\Legacy\Legacy_C\G4D\UBCD", $namedisk & "efi\Paravis\UBCD\menus\UBCD", 1)
				FileCopy($kitchen & "\Legacy\Legacy_C\G4D\dartt", $kitchen & "\dartt", 1)
				FileCopy($kitchen & "\Legacy\Legacy_C\G4D\main", $kitchen & "\main", 1)
				FileCopy($kitchen & "\Legacy\Legacy_C\G4D\mintT", $kitchen & "\mintT", 1)
				FileCopy($kitchen & "\Legacy\Legacy_C\G4D\strT", $kitchen & "\strT", 1)
				FileCopy($kitchen & "\Legacy\Legacy_C\G4D\utilT", $kitchen & "\utilT", 1)
				FileCopy($kitchen & "\Legacy\Legacy_C\Xorboot\13", $namedisk & "efi\Paravis\Boot\13", 1)
				FileCopy($kitchen & "\Legacy\Legacy_C\Xorboot\1313", $namedisk & "efi\Paravis\Boot\1313", 1)
				FileCopy($kitchen & "\Legacy\Legacy_C\Xorboot\14", $namedisk & "efi\Paravis\Boot\14", 1)
				FileCopy($kitchen & "\Legacy\Legacy_C\Xorboot\1414", $namedisk & "efi\Paravis\Boot\1414", 1)
				FileCopy($kitchen & "\Legacy\Legacy_C\Xorboot\15", $namedisk & "efi\Paravis\Boot\15", 1)
				FileCopy($kitchen & "\Legacy\Legacy_C\Xorboot\1515", $namedisk & "efi\Paravis\Boot\1515", 1)
				FileCopy($kitchen & "\Legacy\Legacy_C\Xorboot\16", $namedisk & "efi\Paravis\Boot\16", 1)
				FileCopy($kitchen & "\Legacy\Legacy_C\Xorboot\1616", $namedisk & "efi\Paravis\Boot\1616", 1)
				FileCopy($kitchen & "\Legacy\Legacy_C\Xorboot\17", $namedisk & "efi\Paravis\Boot\17", 1)
				FileCopy($kitchen & "\Legacy\Legacy_C\Xorboot\1717", $namedisk & "efi\Paravis\Boot\1717", 1)
				MsgBox(0 + 64 + 262144, "Xorboot / Grub4dos Theme", "Theme successfully changed!")
			Else
				MsgBox(0 + 64 + 262144, "Xorboot / Grub4dos Theme", "First install the Xorboot or Grub4dos!")
			EndIf
			_show()
	EndSwitch
WEnd
